org.apache.ignite.internal.processors.rest.handlers.redis.exception

## Class GridRedisTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.rest.handlers.redis.exception.GridRedisTypeException

All Implemented Interfaces:
  Serializable

    public class GridRedisTypeException
    extends IgniteCheckedException

Exception on operation on the wrong data type.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridRedisTypeException(String msg)` Creates a type exception with given error message.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridRedisTypeException

    public GridRedisTypeException(String msg)

Creates a type exception with given error message.

Parameters:
  `msg` - Error message.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017